
#include "common.h"
#include "Graph.h"

int main(void)
{
	Graph graph;

	/*	  5, A B C D E	*/
	GraphInit(&graph, 5);

	AddEdge(&graph, A, B, 6);	
	AddEdge(&graph, A, D, 8);
	AddEdge(&graph, B, C, 9);
	AddEdge(&graph, C, D, 2);
	AddEdge(&graph, D, E, 3);
	AddEdge(&graph, E, A, 4);

	DisplayEdgeInfo(&graph);

	//printf("\n\nԼ  DFS Ž : ");
	/*	A  DFS Ž	*/
	//SearchDFSByRecur(&graph, A);

	printf("\n\nBFS Ž : ");
	/*	A  BFS Ž	*/
	SearchBFS(&graph, A);

	DestroyGraph(&graph);

	return 0;
}


